<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">
    <style>
        body, html {
            height: 100%;
            margin: 0;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            background-color: #f8f9fa; /* Light background */
        }
        .login-container {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            height: 100vh; /* Full height */
        }
        .form-container {
            background-color: #ffffff; /* White background for the form */
            border-radius: 8px; /* Rounded corners */
            /* box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);  */
            padding: 40px; /* Padding inside container */
            width: 100%;
            max-width: 400px; /* Maximum width for the form */
        }
        .form-group {
            margin-bottom: 20px; /* Space between form fields */
        }
        .form-control {
            width: 100%; /* Full width for inputs */
            padding: 10px; /* Padding inside input fields */
            border: 1px solid #ced4da; /* Border color */
            border-radius: 4px; /* Rounded input fields */
            font-size: 1rem; /* Increased font size */
        }
        .form-control:focus {
            border-color: #80bdff; /* Focus border color */
            box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25); /* Focus shadow */
        }
        .btn {
            background-color: #007bff; /* Bootstrap primary color */
            color: #fff; /* White text color */
            border: none; /* No border */
            padding: 10px; /* Padding for the button */
            border-radius: 4px; /* Rounded button */
            font-size: 1rem; /* Increased font size */
            width: 100%; /* Full width for button */
            cursor: pointer; /* Pointer cursor on hover */
        }
        .btn:hover {
            background-color: #0056b3; /* Darker shade on hover */
        }
    </style>
</head>
<body>
    <div class="login-container">
        <div class="form-container">
            <img src="<?php echo e(asset('uploads/revcal.png')); ?>" alt="Logo" style="max-width: 100%; margin-bottom: 20px;"> <!-- Logo -->
            <form action="<?php echo e(url('/revcal')); ?>" method="GET"> <!-- Adjust the action URL as needed -->
                <?php echo csrf_field(); ?> <!-- Add CSRF token for form submission -->
                
                <div class="form-group">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="Enter your email" required>
                </div>

                <div class="form-group">
                    <label for="password">Password</label>
                    <input type="password" class="form-control" id="password" name="password" placeholder="Enter your password" required>
                </div>

                <button type="submit" class="btn">Login</button>
            </form>
        </div>
    </div>
</body>
</html>
<?php /**PATH /home/eigixn5/public_html/standman/resources/views/Revcal/loginform.blade.php ENDPATH**/ ?>