<?php $__env->startSection('content'); ?>
<div class="table-container">
    <div class="table-responsive">
      <table class="table custom-table"  id="example">
        <thead>
          <tr>
            <th>#</th>
            <th>Name</th>
            <th>Starting Time</th>
            <th>Ending Time</th>
            <th>Price</th>
            <th>Total Amount</th>
            <th>Status</th>
            <th>Actions</th>
          </tr>
        </thead>
        <tbody>
           <?php $__currentLoopData = $jobs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $job): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <tr>
            <td><?php echo e($loop->iteration); ?></td> <!-- Incremental number -->
            <td>
               <div class="d-flex align-items-center">
                  <?php if($job->image): ?>
                      <img src="<?php echo e(asset($job->image)); ?>" alt="Job Image" style="width: 40px; height: 40px; border-radius: 50%; margin-right: 10px;">
                  <?php endif; ?>
                  <?php echo e($job->name); ?>

                </div>
            </td>
            <td><?php echo e($job->starting_time); ?></td>
            <td><?php echo e($job->ending_time); ?></td>
            <td><?php echo e($job->price); ?></td>
            
            <td><?php echo e($job->total_amount); ?></td>
            <td>
              <span class="badge 
                <?php if($job->status == 'Pending'): ?> bg-warning 
                <?php elseif($job->status == 'Accepted'): ?> bg-primary 
                <?php elseif($job->status == 'Started'): ?> bg-secondary 
                <?php elseif($job->status == 'Ongoing'): ?> bg-info 
                <?php elseif($job->status == 'Canceled'): ?> bg-danger 
                <?php elseif($job->status == 'Completed'): ?> bg-success 
                <?php endif; ?>"  style = "color:white">
                <?php echo e($job->status); ?>

              </span>
            </td>
            <td>
              <div class="d-flex align-items-center" style="cursor: pointer;">
                  <i class="material-icons icon-blue view_job  mr-3" style="color: blue;" 
                    data-id="<?php echo e($job->jobs_id); ?>" 
                    data-image="<?php echo e(asset($job->image)); ?>" 
                    data-name="<?php echo e($job->name); ?>" 
                    data-date="<?php echo e($job->date); ?>" 
                    data-starting-time="<?php echo e($job->starting_time); ?>" 
                    data-ending-time="<?php echo e($job->ending_time); ?>" 
                    data-price="<?php echo e($job->price); ?>" 
                    data-service-charges="<?php echo e($job->service_charges); ?>" 
                    data-tax="<?php echo e($job->tax); ?>" 
                    data-extra-time="<?php echo e($job->extra_time ?? 'N/A'); ?>" 
                    data-extra-time-price="<?php echo e($job->extra_time_price ?? 'N/A'); ?>" 
                    data-location-name="<?php echo e($job->location_name); ?>" 
                    data-status="<?php echo e($job->status); ?>" 
                    data-description="<?php echo e($job->description); ?>">
                    visibility
                  </i>
                  <i class="material-icons icon-green edit_job mr-3" style="color: green;" 
                      data-id="<?php echo e($job->jobs_id); ?>"
                      data-name="<?php echo e($job->name); ?>"
                      data-date="<?php echo e($job->date); ?>"
                      data-starting-time="<?php echo e($job->starting_time); ?>"
                      data-ending-time="<?php echo e($job->ending_time); ?>"
                      data-location-name="<?php echo e($job->location_name); ?>"
                     data-description="<?php echo e($job->description); ?>">
                      edit
                  </i>
                  <i class="material-icons icon-red del_job" style="color: red;" data-id="<?php echo e($job->jobs_id); ?>">delete</i>
              </div>
            </td>
          </tr>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
      </table>
    </div>
  </div>
<!-- View Job Modal -->
<div class="modal fade" id="viewJobModal" tabindex="-1" aria-labelledby="viewJobModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="viewJobModalLabel">Job Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <!-- Job Image -->
                    

                    <!-- Job Details -->
                    <div class="col-md-6">
                        <h5 id="jobName"></h5>
                        <p><strong>Date:</strong> <span id="jobDate"></span></p>
                        <p><strong>Starting Time:</strong> <span id="jobStartingTime"></span></p>
                        <p><strong>Ending Time:</strong> <span id="jobEndingTime"></span></p>
                        <p><strong>Price:</strong> <span id="jobPrice"></span></p>
                        <p><strong>Service Charges:</strong> <span id="jobServiceCharges"></span></p>
                        <p><strong>Tax:</strong> <span id="jobTax"></span></p>
                        <p><strong>Extra Time:</strong> <span id="jobExtraTime"></span></p>
                        <p><strong>Extra Time Price:</strong> <span id="jobExtraTimePrice"></span></p>
                        <p><strong>Location Name:</strong> <span id="jobLocationName"></span></p>
                        <p><strong>Status:</strong> <span id="jobStatus" class="badge" style="color: white;"></span></p>
                        <p><strong>Description:</strong> <span id="jobDescription"></span></p>
                    </div>
                    <div class="col-md-6 text-center">
                        <img id="jobImage" src="" alt="Job Image" class="img-fluid rounded" style="width: 350px; height: 450px; object-fit: cover;">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



<!-- Edit Job Modal -->
<div class="modal fade" id="editJobModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Edit Job</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
            </div>
            
            <div class="modal-body">
                <form id="editJobForm" method="POST" action="<?php echo e(url('/editjob')); ?>">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="jobs_id" id="edit_jobs_id">
                    
                    <div class="row">
                        <div class="form-group col-md-6">
                            <label for="editJobName">Name</label>
                            <input type="text" class="form-control" name="name" id="editJobName" required>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="editJobDate">Date</label>
                            <input type="date" class="form-control" name="date" id="editJobDate" required>
                        </div>
                        
                    </div>

                    <div class="row">
                        <div class="form-group col-md-6">
                            <label for="editJobStartingTime">Starting Time</label>
                            <input type="time" class="form-control" name="starting_time" id="editJobStartingTime" required>
                        </div>
                        <div class="form-group col-md-6">
                            <label for="editJobEndingTime">Ending Time</label>
                            <input type="time" class="form-control" name="ending_time" id="editJobEndingTime" required>
                        </div>
                    </div>

                    <div class="row">   
                        <div class="form-group col-md-12">
                            <label for="editJobDescription">Description</label>
                            <textarea class="form-control" name="description" id="editJobDescription" rows="3" required></textarea>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-md-12">
                            <label for="editJobLocation">Location</label>
                            <input type="text" class="form-control" name="location" id="editJobLocation" required>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-md-6">
                        </div>
                        <div class="form-group col-md-6">
                          <button type="submit" class="btn btn-primary">Save Changes</button>
                          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


  <!-- Delete Confirmation Modal -->
<div class="modal fade" id="deleteModal">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="deleteModalLabel">Delete Job</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
      </div>
      <div class="modal-body">
        Are you sure you want to delete this user?
      </div>
      <div class="modal-footer">
        <form id="deleteForm" method="POST" action="<?php echo e(url('/deletejob')); ?>">
          <?php echo csrf_field(); ?>
          <input type="hidden" name="jobs_id" id="delete_jobs_id">
          <button type="submit" class="btn btn-danger">Delete</button>
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
        </form>
      </div>
    </div>
  </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('asfar_layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eigixn5/public_html/standman/resources/views/asfar_admin/jobs.blade.php ENDPATH**/ ?>