<!DOCTYPE html>
<html lang="en" class="h-100">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width,initial-scale=1">
        <?php $system_image = DB::table('system_settings')->select('description')->where('type', 'system_image')->get(); ?>
        <?php $system_image_favicon = DB::table('system_settings')->select('description')->where('type', 'system_image_favicon')->get(); ?>
        <?php $system_name  = DB::table('system_settings')->select('description')->where('type', 'system_name')->get(); ?>
        <title><?php echo $system_name[0]->description; ?> :: Business Portal</title>
        <!-- Favicon icon -->
        <link rel="icon" type="image" sizes="24x24" href="<?php echo e(url('public')); ?>/<?php echo e($system_image_favicon[0]->description); ?>">

        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js">
        <link href="<?php echo e(asset('css/style.css')); ?>" rel="stylesheet">
        <style>
          label.mb-1 {
                color: #000 !important;
            }
                     .btn-primary:hover {
                color: #fff;
                background-color: #9b45ff;
                border-color: #9b45ff;
            }
        </style>
    </head>
    <style>
        input[type=number]::-webkit-inner-spin-button, 
        input[type=number]::-webkit-outer-spin-button{-webkit-appearance: none;-moz-appearance: none;appearance: none;margin: 0}

        .validate{height:40px;background-color: #A87B5D;width: 100%; color: white;} 
    </style>

   <?php $bg_image=url('public').'/images/bgcrowd.jpg'; ?>
    <body class="h-100" style="background-image: url('<?php echo $bg_image; ?>');">
        <div class="authincation h-100">
            <div class="container h-100">
                <div class="row justify-content-center h-100 align-items-center">
                    <div class="col-md-6">
                        <div class="authincation-content">
                            <div class="row no-gutters">
                                <div class="col-xl-12">
                                    <div class="auth-form">
                                        <form  method="POST" action="<?php echo e(url('business/forget_password_otp_reset_verification')); ?>">
                                            <?php echo csrf_field(); ?>
                                            <input class="form-control" name="id" type="hidden" value="<?php echo e($users_business_id); ?>" />
                                            
                                            <div class="position-relative"> 
                                                <div class="card p-2 text-center"> 
                                                    <div class="col-md-12 text-center">
                                                        <img style="width: 50%;" src="<?php echo e(url('public')); ?>/<?php echo e($system_image[0]->description); ?>">
                                                    </div>
                                                    <br>

                                                    <h4 class="text-center mb-4 primarytxt" style="font-weight: 700;color: #501086">Enter 4 digit Verification Code forwarded on your email</h4>
                                                    
                                                    <div id="otp" class="inputs d-flex flex-row justify-content-center mt-2">
                                                        <input style="border-radius: 0px !important;" class="m-2 text-center form-control rounded" name="otp1" type="number" id="first" maxlength="1" /> 
                                                        <input style="border-radius: 0px !important;" class="m-2 text-center form-control rounded" name="otp2" type="number" id="second" maxlength="1" />
                                                        <input style="border-radius: 0px !important;" class="m-2 text-center form-control rounded" name="otp3" type="number" id="third" maxlength="1" />
                                                        <input style="border-radius: 0px !important;" class="m-2 text-center form-control rounded" name="otp4" type="number" id="fourth" maxlength="1" /> 
                                                    </div> 
                                                    <br><br>

                                                    <div class="text-center">
                                                        <button style="border-radius: 24px;" type="submit" class="btn btn-primary btn-block">Reset Now</button>
                                                    </div>
                                                </div> 
                                            </div>
                                        </form>
                                        <div class="new-account mt-3">
                                            <p>Back to <a class="text-primary" href="/"><b>Login</b></a></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!--**********************************
            Scripts
        ***********************************-->
        <!-- Required vendors -->
        <script src="<?php echo e(asset('vendor/global/global.min.js')); ?>"></script>
    	<script src="<?php echo e(asset('vendor/bootstrap-select/dist/js/bootstrap-select.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/custom.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/deznav-init.js')); ?>"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script>
            document.addEventListener("DOMContentLoaded", function(event) {
                function OTPInput() {
                    const inputs = document.querySelectorAll('#otp > *[id]');
                    for (let i = 0; i < inputs.length; i++) { 
                        inputs[i].addEventListener('keydown', function(event) { 
                            if (event.key==="Backspace" ) { 
                                inputs[i].value='' ; 
                                if (i !==0) inputs[i - 1].focus(); 
                            } else { 
                                if (i===inputs.length - 1 && inputs[i].value !=='' ) { 
                                    return true; 
                                } else if (event.keyCode> 47 && event.keyCode < 58) { 
                                    inputs[i].value=event.key; if (i !==inputs.length - 1) inputs[i + 1].focus(); event.preventDefault(); 
                                } else if (event.keyCode> 64 && event.keyCode < 91) { 
                                    inputs[i].value=String.fromCharCode(event.keyCode); 
                                    if (i !==inputs.length - 1) inputs[i + 1].focus(); event.preventDefault(); 
                                } 
                            } 
                        }); 
                    } 
                } 
                OTPInput();                
            });
        </script>

        <link href="<?php echo e(asset('toasters/toastr.min.css')); ?>" rel="stylesheet" type="text/css" />   
        <script src="<?php echo e(asset('toasters/toastr.min.js')); ?>" type="text/javascript"></script>
        <script>
            toastr.options = {
              "closeButton": true,
              "debug": false,
              "positionClass": "toast-top-right",
              "onclick": null,
              "showDuration": "1000",
              "hideDuration": "1000",
              "timeOut": "5000",
              "extendedTimeOut": "1000",
              "showEasing": "swing",
              "hideEasing": "linear",
              "showMethod": "fadeIn",
              "hideMethod": "fadeOut"
            }
            //Command: toastr['success']("hello");

            <?php if(Session::has('success')){ ?> Command: toastr['success']("<?php echo Session('success'); ?>"); <?php } ?>
            <?php if(Session::has('error')){ ?> Command: toastr['error']("<?php echo Session('error'); ?>"); <?php } ?>
            <?php if(Session::has('warning')){ ?> Command: toastr['warning']("<?php echo Session('warning'); ?>"); <?php } ?>
            <?php if(Session::has('info')){ ?> Command: toastr['info']("<?php echo Session('info'); ?>"); <?php } ?>
        </script>
    </body>
</html><?php /**PATH /home/eigixn5/public_html/crowd/resources/views/business/forget_password_otp_reset.blade.php ENDPATH**/ ?>