<?php $__env->startSection('content'); ?>
<div class="row">
    <!-- Contacts List -->
    <div class="col-md-4">
        <div class="card contacts-list">
            <div class="card-header">
                <h5>Contacts</h5>
            </div>
            <div class="card-body">
                <ul class="list-group">
                    <?php if(!empty($contacts) && count($contacts) > 0): ?>
                        <?php $__currentLoopData = $contacts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="list-group-item contact-item" onclick="window.location='<?php echo e(route('messages.fetch', $contact->id)); ?>'">
                            <div class="d-flex justify-content-between align-items-center w-100">
                                <!-- Adjust the image display based on the user type -->
                                <div class="d-flex align-items-center">
                                    <img src="<?php echo e(asset($contact->user_type == 'employee' ? $contact->profile : $contact->image)); ?>" 
                                         alt="<?php echo e($contact->name); ?>" 
                                         class="rounded-circle" 
                                         style="width: 40px; height: 40px;">
                                    <span class="contact-name ml-2"><?php echo e($contact->name); ?></span>
                                </div>
                                <span class="badge badge-<?php echo e($contact->badge == 'Employee' ? 'primary' : 'success'); ?>"><?php echo e($contact->badge); ?></span>
                            </div>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php else: ?>
                        <li class="list-group-item">No contacts available</li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </div>

    <!-- Chat Interface (dynamic messages based on contact clicked) -->
    <div class="col-md-8">
        <div class="card chat-box">
            <div class="card-header">
                <h5>Chat</h5>
            </div>
            <div class="card-body chat-content">
                <?php if(!empty($messages) && count($messages) > 0): ?>
                    <?php $__currentLoopData = $messages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="message <?php echo e($message->sender_id == $admin_id ? 'sent' : 'received'); ?>">
                        <p><?php echo e($message->message); ?></p>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php else: ?>
                    <p>No messages available</p>
                <?php endif; ?>
            </div>
            <div class="card-footer">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="Type a message...">
                    <div class="input-group-append">
                        <button class="btn btn-primary" type="button"><i class="fas fa-paper-plane"></i> Send</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Custom Styling -->
<style>
    .contacts-list {
        height: 100vh;
        overflow-y: auto;
    }

    .contact-item {
        display: flex;
        align-items: center;
        padding: 10px;
        cursor: pointer;
        transition: background-color 0.3s;
    }

    .contact-item.active {
        background-color: #007bff;
        color: white;
    }

    .contact-item img {
        margin-right: 10px;
        width: 40px;
        height: 40px;
    }

    .contact-item:hover {
        background-color: #f0f9ff;
    }

    .chat-box {
        height: 100vh;
        display: flex;
        flex-direction: column;
    }

    .chat-content {
        flex-grow: 1;
        overflow-y: auto;
        padding: 20px;
        background-color: #f8f9fa;
        display: flex;
        flex-direction: column;
    }

    .message {
        padding: 10px;
        margin-bottom: 10px;
        border-radius: 10px;
        display: inline-block;
        max-width: 70%;
        word-wrap: break-word;
    }

    .message.received {
        background-color: #e9ecef;
        text-align: left;
        align-self: flex-start;
    }

    .message.sent {
        background-color: #007bff;
        color: white;
        text-align: right;
        align-self: flex-end;
    }

    .card-footer {
        padding: 15px;
        background-color: #f8f9fa;
        border-top: 1px solid #ddd;
    }
</style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('Huzaifa_dashboard.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eigixn5/public_html/standman/resources/views/Huzaifa_dashboard/messages.blade.php ENDPATH**/ ?>