<?php $__env->startSection('content'); ?>

    <div class="table-container">
      <div class="table-responsive">
        <table class="table custom-table" id="example">
          <thead>
            <tr>
              <th>#</th>
              <th>Name</th>
              <th>Email</th>
              <th>Type</th>
              <th>Actions</th>
            </tr>
          </thead>
          <tbody>
          <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          
            <tr>
              <td><?php echo e($loop->iteration); ?></td>
              <td>
              <div class="d-flex align-items-center">
                  <?php if($user->profile_image): ?>
                      <img src="<?php echo e(asset($user->profile_image)); ?>" alt="Job Image" style="width: 40px; height: 40px; border-radius: 50%; margin-right: 10px;">
                  <?php endif; ?>
                  <?php echo e($user->first_name); ?> <?php echo e($user->last_name); ?>

                </div>
              </td>
              <td><?php echo e($user->email); ?></td>
              <td>
                <span class="badge
                  <?php if($user->users_type == 'customer'): ?> bg-success
                  <?php elseif($user->users_type == 'employee'): ?> bg-info
                  <?php endif; ?>" style = "color:white">
                      <?php echo e($user->users_type); ?>

                  </span>
              </td>
              <td>
                <div class="d-flex align-items-center" style="cursor: pointer;">
                  <i class="material-icons icon-blue view-user mr-3" style="color: blue;"
                    data-profile-image="<?php echo e(asset($user->profile_image)); ?>"
                    data-document-image="<?php echo e(asset($user->document_image)); ?>"
                    data-certificate-image="<?php echo e(asset($user->certificate_image)); ?>"
                    data-first-name="<?php echo e($user->first_name); ?>"
                    data-last-name="<?php echo e($user->last_name); ?>"
                    data-email="<?php echo e($user->email); ?>"
                    data-phone="<?php echo e($user->phone_number); ?>"
                    data-type="<?php echo e($user->users_type); ?>"
                    data-wallet-amount="<?php echo e($user->wallet_amount); ?>">visibility</i>
                  <!-- Edit Icon with data-* attributes -->
                  <i class="material-icons icon-green edit_user mr-3" 
                    data-id="<?php echo e($user->users_id); ?>"
                    data-first-name="<?php echo e($user->first_name); ?>"
                    data-last-name="<?php echo e($user->last_name ?? 'N/A'); ?>"
                    data-email="<?php echo e($user->email); ?>"
                    data-phone="<?php echo e($user->phone_number); ?>"
                    data-wallet-amount="<?php echo e($user->wallet_amount); ?>"
                    data-user-type="<?php echo e($user->users_type); ?>"
                    style="color: green;">edit</i>
                  <i class="material-icons icon-red del_user" style="color: red;" data-id="<?php echo e($user->users_id); ?>">delete</i>
                </div>
              </td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </tbody>
        </table>
      </div>
    </div>
    <!-- View User Modal -->
    <div class="modal fade" id="viewUserModal" tabindex="-1" aria-labelledby="viewUserModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="viewUserModalLabel">User Details</h5>
                     <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <!-- Profile Image -->
                        <div class="col-md-4 text-center">
                            <img id="userProfileImage" src="" alt="User Profile Image" class="img-fluid rounded-circle mb-3" style="width: 150px; height: 150px;">
                        </div>

                        <!-- User Details -->
                        <div class="col-md-8">
                            <h5 id="userName"></h5>
                            <p><strong>Email:</strong> <span id="userEmail"></span></p>
                            <p><strong>Phone Number:</strong> <span id="userPhone"></span></p>
                            <p><strong>Type:</strong> <span id="userType" style = "color:white;" class="badge"></span></p>
                            <p><strong>Wallet Amount:</strong> <span id="userWalletAmount"></span></p>
                            
                        </div>
                    </div>

                    <!-- Document and Certificate Images -->
                    <div class="row mt-4 document-certificate-section">
                        <div class="col-md-6 text-center">
                            <h6>Document Image</h6>
                            <img id="userDocumentImage" src="" alt="Document Image" class="img-fluid mb-3" style="width: 100%; max-height: 250px;">
                        </div>
                        <div class="col-md-6 text-center">
                            <h6>Certificate Image</h6>
                            <img id="userCertificateImage" src="" alt="Certificate Image" class="img-fluid mb-3" style="width: 100%; max-height: 250px;">
                        </div>
                    </div>
                </div>
                
            </div>
        </div>
    </div>
    <!-- Edit User Modal -->
    <div class="modal fade" id="editUserModal" tabindex="-1" aria-labelledby="editUserModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="editUserModalLabel">Edit User</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form id="editForm" method="POST" action="<?php echo e(url('/edituser')); ?>">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="users_id" id="edit_users_id"> <!-- Hidden input for user ID -->
                    <div class="modal-body">
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="editFirstName">First Name</label>
                                <input type="text" class="form-control" id="editFirstName" name="first_name">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="editLastName">Last Name</label>
                                <input type="text" class="form-control" id="editLastName" name="last_name">
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="editEmail">Email</label>
                                <input type="email" class="form-control" id="editEmail" name="email">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="editPhone">Phone Number</label>
                                <input type="text" class="form-control" id="editPhone" name="phone_number">
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="editWalletAmount">Wallet Amount</label>
                                <input type="text" class="form-control" id="editWalletAmount" name="wallet_amount">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Save Changes</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <!-- Delete Confirmation Modal -->
    <div class="modal fade" id="deleteModal">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="deleteModalLabel">Delete User</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="modal-body">
            Are you sure you want to delete this user?
          </div>
          <div class="modal-footer">
            <form id="deleteForm" method="POST" action="<?php echo e(url('/deleteuser')); ?>">
              <?php echo csrf_field(); ?>
              <input type="hidden" name="users_id" id="delete_users_id">
              <button type="submit" class="btn btn-danger">Delete</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            </form>
          </div>
        </div>
      </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('asfar_layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eigixn5/public_html/standman/resources/views/asfar_admin/users.blade.php ENDPATH**/ ?>