<?php $__env->startSection('content'); ?>
    <style>
        .btn-light {
          padding-left: 10px;
        }
        .filter {
            margin-top: -15px;
            margin-bottom: 15px;
        }
    </style>
    
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
				<ol class="breadcrumb">
                    <?php $__env->startSection('titleBar'); ?>
                    <span class="ml-2 text-white">Manage Registered Users</span>
                    <?php $__env->stopSection(); ?>
				</ol>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="filter">
                        <a class="btn btn-sm <?php if ($filter == '') { echo 'btn-primary'; } else{ echo "btn-info"; } ?>" href="users_customers_registered">All</a>
                        <a class="btn btn-sm <?php if ($filter == 'Active') { echo 'btn-primary'; } else{ echo "btn-info"; } ?>" href="users_customers_registered?filter=Active">Active</a>
                        <a class="btn btn-sm <?php if ($filter == 'Inactive') { echo 'btn-primary'; } else{ echo "btn-info"; } ?>" href="users_customers_registered?filter=Inactive">Inactive</a>
                        <a class="btn btn-sm <?php if ($filter == 'Deleted') { echo 'btn-primary'; } else{ echo "btn-info"; } ?>" href="users_customers_registered?filter=Deleted">Deleted</a>
                    </div>
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="example" class="table dt-responsive nowrap display min-w850">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Name</th>
                                            <th>Email</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $users_customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr class="odd gradeX">
                                            <td><?php echo e($key + 1); ?></td>
                                            <td>
                                                <img src="<?php echo e(asset($items->profile_pic)); ?>" width="60px" height="60px">
                                                <?php echo e($items->first_name . ' ' . $items->last_name); ?>

                                            </td>
                                            <td><?php echo e($items->email); ?></td>
                                            <td>
                                                <?php if($items->status == 'Active'): ?>
                                                <span class="btn btn-sm light btn-primary">Active</span>
                                                <?php elseif($items->status == 'Inactive'): ?>
                                                <span class="btn btn-sm light btn-warning">Inactive</span>
                                                <?php else: ?> 
                                                <span class="btn btn-sm light btn-danger">Deleted</span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <button class="btn btn-sm btn-info" data-toggle="modal" data-target="#modal_view_detail<?php echo e($items->users_customers_id); ?>">
                                                    <i class="fa fa-eye"></i>
                                                </button>
                                               
                                                <?php if($items->status == 'Pending' || $items->status == 'Active'): ?>
                                                <a class="btn btn-sm btn-warning" href="<?php echo e(url('admin/users_customers_update/' . $items->users_customers_id . '/Inactive')); ?>"><i class="fa fa-times"></i></a>
                                                <a class="btn btn-sm btn-danger" href="<?php echo e(url('admin/users_customers_update/' . $items->users_customers_id . '/Deleted')); ?>"><i class="fa fa-trash"></i></a>
                                                <?php elseif($items->status == 'Inactive'): ?>
                                                <a class="btn btn-sm btn-primary" href="<?php echo e(url('admin/users_customers_update/' . $items->users_customers_id . '/Active')); ?>"><i class="fa fa-check"></i></a>
                                                <a class="btn btn-sm btn-danger" href="<?php echo e(url('admin/users_customers_update/' . $items->users_customers_id . '/Deleted')); ?>"><i class="fa fa-trash"></i></a>
                                                <?php elseif($items->status == 'Deleted'): ?>
                                                <a class="btn btn-sm btn-primary" href="<?php echo e(url('admin/users_customers_update/' . $items->users_customers_id . '/Active')); ?>"><i class="fa fa-check"></i></a>
                                                <a class="btn btn-sm btn-warning" href="<?php echo e(url('admin/users_customers_update/' . $items->users_customers_id . '/Inactive')); ?>"><i class="fa fa-times"></i></a>
                                                <?php endif; ?>
                                            </td>
                                            <!-- modal view detail -->
                                            <div class="modal fade" id="modal_view_detail<?php echo e($items->users_customers_id); ?>">
                                                <div class="modal-dialog modal-xl modal-dialog-centered" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h3 class="modal-title">User Detail</h3>
                                                            <button type="button" class="close" data-dismiss="modal"><span>&times;</span></button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="basic-form">
                                                                <div class="row"> 
                                                                    <div class="col-sm-3">
                                                                        <b>First Name:</b><br><?php echo e($items->first_name); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <b>Last Name:</b><br><?php echo e($items->last_name); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <b>Email:</b><br><?php echo e($items->email); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <b>Phone No:</b><br><?php echo e($items->phone); ?>

                                                                    </div>
                                                                </div>

                                                                <div class="row">
                                                                    <div class="col-sm-3">
                                                                        <br><b>Address:</b><br><?php echo e($items->address); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <br><b>Email Verified:</b><br><?php echo e($items->email_verified); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <br><b>Account Type:</b><br><?php echo e($items->account_type); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <br><b>Social Account TYpe:</b><br><?php echo e($items->social_account_type); ?>

                                                                    </div>
                                                                </div>

                                                                <div class="row">
                                                                    <div class="col-sm-3">
                                                                        <br><b>One Signal Id:</b><br><?php echo e($items->one_signal_id); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <br><b>Order Status:</b><br><?php echo e($items->order_status); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <br><b>Reviews:</b><br><?php echo e($items->reviews); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <br><b>Offers:</b><br><?php echo e($items->offers); ?>

                                                                    </div>
                                                                </div>
                                                                
                                                                <div class="row">
                                                                    <div class="col-sm-3">
                                                                        <br><b>Profile Picture:</b><br><br>
                                                                        <img src="<?php echo e(asset($items->profile_pic)); ?>" class="rounded" width="135px" height="175px">
                                                                    </div>
                                                                </div>

                                                                <div class="row">
                                                                    <div class="col-sm-3">
                                                                        <br><b>Status:</b><br><?php echo e($items->status); ?>

                                                                    </div>
                                                                    <div class="col-sm-3">
                                                                        <br><b>Date Added:</b><br>
                                                                        <?php $date_added = \Carbon\Carbon::parse($items->date_added)->format('d/m/y h:m a'); ?>
                                                                        <?php echo e($date_added); ?>

                                                                    </div>
                                                                    <?php if($items->date_modified): ?>
                                                                    <div class="col-sm-3">
                                                                        <br><b>Date Modified:</b><br>
                                                                        <?php $date_modified = \Carbon\Carbon::parse($items->date_modified)->format('d/m/y h:m a'); ?>
                                                                        <?php echo e($date_modified); ?>

                                                                    </div>
                                                                    <?php endif; ?>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- modal view detail -->
                                        </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
          	</div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout.admin.list_master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eigixn5/public_html/uzaar/resources/views/admin/users_customers_registered.blade.php ENDPATH**/ ?>