<?php $__env->startSection('content'); ?>
    <h2>Completed Jobs</h2>
    <table class="table table-bordered">
        <thead>
            <tr>
                <th>ID</th>
                <th>Image</th>
                <th>Name</th>
                <th>Job Date</th>
                <th>Start Time</th>
                <th>End Time</th>
                <th>Status</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $cancelledJobs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $job): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($job->id); ?></td>
                    <td>
                        <img src="<?php echo e(asset($job->image)); ?>" alt="Job Image" class="circular-image">
                    </td>
                    <td><?php echo e($job->name); ?></td>
                    <td><?php echo e($job->job_date); ?></td>
                    <td><?php echo e($job->start_time); ?></td>
                    <td><?php echo e($job->end_time); ?></td>
                    <td>
                        <span class="<?php echo e($job->status === 'Cancelled' ? 'status-cancelled' : ''); ?>">
                            <?php echo e($job->status); ?>

                        </span>
                    </td>
                    <td class="actions-column">
                        <!-- View Button (Primary) -->
                        <button class="btn btn-primary btn-sm" data-toggle="modal" data-target="#viewModal<?php echo e($job->id); ?>" style="display: inline-block;">
                            <i class="fas fa-eye"></i> View
                        </button>
                    </td>
                </tr>

                <!-- View Modal -->
                <div class="modal fade" id="viewModal<?php echo e($job->id); ?>" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel<?php echo e($job->id); ?>" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header bg-primary text-white">
                                <h5 class="modal-title" id="viewModalLabel<?php echo e($job->id); ?>">Job Details</h5>
                                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body text-center">
                                <img src="<?php echo e(asset($job->image)); ?>" alt="Job Image" class="circular-image mb-3" style="width: 120px; height: 120px; border: 3px solid #007bff;">
                                <p><strong>Name:</strong> <?php echo e($job->name); ?></p>
                                <p><strong>Job Date:</strong> <?php echo e($job->job_date); ?></p>
                                <p><strong>Start Time:</strong> <?php echo e($job->start_time); ?></p>
                                <p><strong>End Time:</strong> <?php echo e($job->end_time); ?></p>
                                <p><strong>Special Instructions:</strong> <?php echo e($job->special_instructions); ?></p>
                                <p><strong>Location:</strong> <?php echo e($job->location); ?></p>
                                <p><strong>Amount:</strong> <?php echo e($job->amount . "$"); ?></p>
                                <p><strong>Service Charges:</strong> <?php echo e($job->service_charges . "$"); ?></p>
                                <p><strong>Tax:</strong> <?php echo e($job->tax . "$"); ?></p>
                                <p><strong>Total Price:</strong> <?php echo e($job->total_price . "$"); ?></p>
                                <p><strong>Payment Status:</strong> <?php echo e($job->payment_status); ?></p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
<?php $__env->stopSection(); ?>

<style>
    .table {
        margin-top: 20px;
        border-collapse: collapse;
        width: 100%;
    }

    .table th, .table td {
        padding: 10px;
        text-align: center;
        border: none; /* Remove border from table cells */
    }

    .table th {
        background-color: #f2f2f2;
    }

    .actions-column {
        display: flex;
        gap: 5px;
        justify-content: center;
        align-items: center;
        min-width: 200px; /* Ensure consistent width for actions column */
    }

    .actions-column .btn {
        line-height: normal; /* Adjust line height if needed */
        padding: 5px 10px; /* Adjust padding to suit design */
        margin: 0; /* Remove margin if it affects layout */
    }

    .circular-image {
        width: 70px; /* Adjust size if needed */
        height: 70px;
        border-radius: 50%;
        object-fit: cover;
        border: 2px solid #ddd;
    }

    .status-cancelled {
        color: red; /* Change color for completed status */
        font-weight: bold;
    }
</style>

<?php echo $__env->make('Huzaifa_dashboard.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eigixn5/public_html/standman/resources/views/Huzaifa_dashboard/cancelled_job.blade.php ENDPATH**/ ?>