<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Dashboard</title>
    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css" />
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css" />
    <link rel="stylesheet" href="update_assets/css/style.css" />
    <link rel="stylesheet" href="update_assets/css/responsive.css" />
    <link href="<?php echo e(asset('css/iziToast.css')); ?>" rel="stylesheet">
    <!-- css-start-end -->
    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" ></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" ></script>
    <!-- niceCuntryInput -->
    <script src="update_assets/js/niceCountryInput.js" ></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" ></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" defer></script>
    <style>
        .check_box:after{
            background-image: linear-gradient(89.24deg,#3dd1dc .59%,rgba(39,108,255,.96) 99.29%);
        }
        .pack-item {
            margin-bottom: 1rem;
        }
    </style>
</head>
<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper account-wrapper mx-auto">
        <div class="container">
            <!-- account-header -->
            <div class="account-header">
                <div class="account-bal">
                    <h4 class="mb-3">AloTel credit</h4>
                    <span class="border-box">
                     $ <?php echo e(\App\Helpers\CustomerLogic::convert_price($balance, 'acc')); ?>

                     </span>
                </div>
                <!-- add-credit -->
                <div class="add-credit">
                    <button onclick="location.href='<?php echo e(route("add_credit")); ?>'" type="button" class="btn btn-main">
                     <span class="icon">
                     <img src="update_assets/img/plus.svg" alt="">
                     </span>
                        <span class="text">
                     Add Credits
                     </span>
                    </button>
                </div>
                <!-- add-credit-end -->
            </div>
            <!-- account-header--end -->
            <!-- account-content -->
            <div class="account-content">

            <?php
                $user_country = @collect($country_list)->where('id', $customer_info['country_id'])->first();
                $categories = collect($products)->where('product_category', '!=', 'Subscription')->groupBy('billing_type');
                if (count($categories) > 0) {
                    $cate_data = json_decode($categories, true); // Convert JSON string to associative array
                    $cat_keys = array_keys($cate_data);
                    $cat_f_key = @$cat_keys[0];
                    if($cat_f_key != 'Recurring Monthly'){
                        $categories = $categories->reverse();
                    }
                }
            ?>
            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                <?php if($key == 'Recurring Monthly'): ?>
                <!-- pack-item -->
                <div class="pack-item">
                    <h3 class="fw-medium fs-6 text-black mb-3">Buy Monthly Subscription</h3>
                    <!-- single-pack -->
                    <div class="box bg-white" style="padding-top: 3px;">

                        <?php
                        $countries = collect($category)->groupBy('country_id');
                        $custom_countries = [];
                        $selected_country = '';
                        $first_iso = '';
                        $s_i = 0;
                        foreach ($countries as  $c_data){
                            $c_info = @collect($country_list)->where('nicename', $c_data[0]['country_id'])->first();
                            array_push($custom_countries, strtolower($c_info['iso']));
                            if ($s_i == 1){
                                $first_iso = $c_info['iso'];
                            }
                            if ($user_country['iso'] == $c_info['iso']){
                                $selected_country =  $user_country['iso'];
                            }
                            $s_i++;
                        }
                        ?>
                        <!-- cuntry-select -->
                            <label><i>select destination country</i></label>
                        <div class="country-select">
                            <div class="niceCountryInputSelector" data-selectedcountry="<?php echo e($selected_country != '' ? $selected_country : $first_iso); ?>" data-showspecial="false"
                                 data-showflags="true" data-i18nall="All selected" data-i18nnofilter="No selection"
                                 data-i18nfilter="Select destination country" data-customcountry='<?php echo json_encode($custom_countries, 15, 512) ?>' data-onchangecallback="subsCallback" >
                            </div>
                        </div>
                        <!-- cuntry-select--end -->

                        <!-- package-content -->
                            <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c_ids => $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php ($c_iso = @collect($country_list)->where('nicename', $c_ids)->first()['iso']); ?>
                                <div class="pack-content subs_data pt-4 <?php if($selected_country != ''): ?> <?php echo e($selected_country != $c_iso ? 'd-none' : 'd-block'); ?> <?php else: ?> <?php echo e($first_iso != $c_iso ? 'd-none' : 'd-block'); ?> <?php endif; ?>" id="subs_<?php echo e($c_iso); ?>">
                                    <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <div class="mb-5">

                                        <form action="<?php echo e(route('package_buy')); ?>" method="post">
                                            <?php echo csrf_field(); ?>
                                            <input type="hidden" name="product_name" value="<?php echo e($data['name']); ?>">
                                            <input type="hidden" name="price" value="<?php echo e($data['price']); ?>">
                                            <input type="hidden" name="free_minutes" value="<?php echo e($data['free_minutes']); ?>">
                                            <h4 class="fs-4 text-dark fw-semibold my-3 px-4">
                                                <span class="gd-text"> $<?php echo e(\App\Helpers\CustomerLogic::convert_price($data['price'])); ?></span> for <?php echo e($data['free_minutes']); ?> Mins
                                            </h4>
                                            <p class="fs-7 text-dark fw-semibold my-3 px-4">
                                                    Get <?php echo e($data['free_minutes']); ?> minutes every month for your calls to <?php echo e($data['country_id']); ?>



                                            </p>
                                            <p class="fs-7 text-dark fw-semibold my-3 px-4"><span class="gd-text">Cancel any time</span></p>

                                            <div class="w-75 mx-auto pt-3">
                                                <button  class="btn btn-main w-100 small">Subscribe</button>
                                            </div>

                                            
                                        </form>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>


                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                        <!-- package-content--end -->
                    </div>
                    <!-- single-pack--end -->
                </div>
                <!-- pack-item--end -->
                <?php else: ?>
                <!-- pack-item -->
                <div class="pack-item">
                    <h3 class="fw-medium fs-6 text-black mb-3">Buy Monthly Packages</h3>
                    <!-- single-pack -->
                    <div class="box bg-white mb-3" style="padding-top: 3px;">
                        <?php
                        $countries = collect($category)->groupBy('country_id');
//                        dd($countries);
                        $custom_countries = [];
                        $selected_country = '';
                        $first_iso = '';
                        $p_i = 0;
                        foreach ($countries as $c_k => $c_data){
                            $c_info = @collect($country_list)->where('nicename', $c_data[0]['country_id'])->first();
                            array_push($custom_countries, strtolower($c_info['iso']));
                            if ($p_i == 1){
                                $first_iso = $c_info['iso'];
                            }
                            if ($user_country['iso'] == $c_info['iso']){
                                $selected_country =  $user_country['iso'];
                            }
                            $p_i++;
                        }
                        ?>
                        <!-- cuntry-select -->
                            <label><i>select destination country</i></label>
                            <div class="country-select">
                                <div class="niceCountryInputSelector" data-selectedcountry="<?php echo e($selected_country != '' ? $selected_country : $first_iso); ?>" data-showspecial="false"
                                     data-showflags="true" data-i18nall="All selected" data-i18nnofilter="No selection"
                                     data-i18nfilter="Select destination country" data-customcountry='<?php echo json_encode($custom_countries, 15, 512) ?>' data-onchangecallback="onChangeCallback" >
                                </div>
                            </div>
                        <!-- cuntry-select--end -->

                        <!-- package-content -->
                        <div class="pack-content pt-4">
                            <div class="w-75 mx-auto pt-3">
                                <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c_ids => $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php ($c_iso = @collect($country_list)->where('nicename', $c_ids)->first()['iso']); ?>
                                <div class="slect-pack packages_data <?php if($selected_country != ''): ?> <?php echo e($selected_country != $c_iso ? 'd-none' : 'd-block'); ?> <?php else: ?> <?php echo e($first_iso != $c_iso ? 'd-none' : 'd-block'); ?> <?php endif; ?>"  id="pack_<?php echo e($c_iso); ?>">
                                    <?php $__currentLoopData = $country; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <!-- slectpacItem -->
                                        <div class="slectPackItem" >
                                            <form action="<?php echo e(route('package_buy')); ?>" method="post">
                                                <?php echo csrf_field(); ?>
                                                <input type="hidden" name="product_name" value="<?php echo e($data['name']); ?>">
                                                <input type="hidden" name="price" value="<?php echo e($data['price']); ?>">
                                                <input type="hidden" name="free_minutes" value="<?php echo e($data['free_minutes']); ?>">
                                                <button class="btn btn-main w-100 small mb-3" style="background: white; color: black; padding: 7px; border: 2px solid #e1e6ef">
                                                    <span><b><?php echo e($data['billing_days'] == 1 ? 'Daily':($data['billing_days'] == 7 ? 'Weekly':'Monthly')); ?>:</b> $<?php echo e(\App\Helpers\CustomerLogic::convert_price($data['price'])); ?>  for <?php echo e($data['free_minutes']); ?> mins</span>
                                                </button>
                                                
                                            </form>
                                        </div>
                                        <!-- slectpacItem--end -->

                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </div>
                        </div>
                        <!-- package-content--end -->
                    </div>
                    <!-- single-pack--end -->

                </div>
                <!-- pack-item--end -->
                <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


            <div class="pack-item">
                <!-- gd-box -->

                    <div class="gd-box--inner" style="padding: 0 1rem 1rem 0">
                        <a href="<?php echo e(route('refer_and_earn')); ?>" class="btn-gd active">

                           <span>
                           <span class="text">Refer and Earn $50</span>
                           </span>
                        </a>
                    </div>

                <!-- gd-box--end -->
                <!-- account-links -->
                <div class="account-links">
                    <ul>
                        <li>
                            <a href="<?php echo e(route('your_subscriptions')); ?>" class="small">
                                My Subscriptions and packages
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('profile')); ?>" class="small">
                                Profile
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('payment_setting')); ?>" class="small">
                                Payment Methods
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('payment_history')); ?>" class="small">
                                Payment History
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a href="<?php echo e(route('check_rate')); ?>" class="small">
                                Check Rate
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                        <li>
                            <a  href="<?php echo e(route('help')); ?>" class="small">
                                Help
                                <span class="icon">
                                    <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
                                       <path
                                           d="M0.749871 10.0209C0.637871 10.0209 0.525854 9.97838 0.440688 9.89263C0.269771 9.72172 0.269771 9.44461 0.440688 9.2737L4.21484 5.49955L0.440688 1.7254C0.269771 1.55448 0.269771 1.27738 0.440688 1.10646C0.611604 0.935542 0.888708 0.935542 1.05962 1.10646L5.14296 5.18979C5.31387 5.36071 5.31387 5.63781 5.14296 5.80873L1.05962 9.89206C0.973875 9.9784 0.861871 10.0209 0.749871 10.0209Z"
                                           fill="#595A5B" />
                                    </svg>
                                 </span>
                            </a>
                        </li>
                    </ul>
                </div>
                <button id="requestPermissionButton">Request Notification Permission</button>
                <!-- account-links--end -->
            </div>

            </div>
            <!-- account-content--end -->
        </div>
    </div>
    <!-- content-wrapper--end -->
</div>


<script type="module">
    // Import the functions you need from the SDKs you need
    
    
    

    
    
    
    
    
    
    
    
    
    

    
    
    

    
    

    
    
    
    
    
    
    
    
    

    
    
    
    
    
    
    
    
    

    
    
    
    
    
    
    
    
    
    

    
    
    

    
    
    
    
    

    
    
    
    
    
    
    
    
    
    
    
    
    
    
</script>

<!-- root--end -->
<script src="<?php echo e(asset('js/iziToast.js')); ?>"></script>
<?php echo $__env->make('vendor.lara-izitoast.toast', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
			<script>
document.addEventListener("DOMContentLoaded", function() {
        var open_app = <?php echo e(session()->get('open_app') ?? 0); ?>;
        if (open_app == 1){
            window.location.href = "csc:<?php echo e($customer_info['username']); ?>:<?php echo e(\Illuminate\Support\Facades\Cookie::get('c_password')); ?>@<?php echo $cloud_id ?>";
        }
        <?php session()->forget('open_app'); ?>
    });
    function onChangeCallback(iso) {
        $(".packages_data").addClass('d-none');
        $("#pack_"+iso).removeClass('d-none');
    }
    function subsCallback(iso) {
        $(".subs_data").addClass('d-none');
        $("#subs_"+iso).removeClass('d-none');
    }
</script>


</body>
</html>
<?php /**PATH /var/www/html/webview-app/resources/views/update/dashboard.blade.php ENDPATH**/ ?>