<?php $__env->startSection('content'); ?>
    <h2>Employees List</h2>

    <!-- Display Success or Error Message -->
    <?php if(session('success')): ?>
        <div class="alert alert-success" id="successMessage">
            <?php echo e(session('success')); ?>

        </div>
    <?php endif; ?>

    <?php if(session('error')): ?>
        <div class="alert alert-danger">
            <?php echo e(session('error')); ?>

        </div>
    <?php endif; ?>

    <!-- Employees Table -->
    <table class="table table-bordered table-responsive">
        <thead>
            <tr>
                <th>ID</th>
                <th>Profile</th>
                <th>Full Name</th>
                <th>Phone</th>
                <th>Email</th>
                <th>Balance</th>
                <th class="actions-column-header">Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $employees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $employee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($employee->id); ?></td>
                    <td>
                        <img src="<?php echo e(asset($employee->profile)); ?>" class="rounded-circle" style="width: 50px; height: 50px;">
                    </td>
                    <td><?php echo e($employee->full_name); ?></td>
                    <td><?php echo e($employee->phone); ?></td>
                    <td><?php echo e($employee->email); ?></td>
                    <td><?php echo e($employee->balance); ?></td>
                    <td class="actions-column">
                        <!-- View Button -->
                        <button class="btn btn-primary btn-sm" data-toggle="modal" data-target="#viewModal<?php echo e($employee->id); ?>">
                            <i class="fas fa-eye"></i> View
                        </button>

                        <!-- Update Button -->
                        <button class="btn btn-warning btn-sm" data-toggle="modal" data-target="#updateModal<?php echo e($employee->id); ?>">
                            <i class="fas fa-edit"></i> Edit
                        </button>

                        <!-- Delete Button -->
                        <button class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteModal<?php echo e($employee->id); ?>">
                            <i class="fas fa-trash-alt"></i> Delete
                        </button>
                    </td>
                </tr>

                <!-- View Modal -->
                <div class="modal fade" id="viewModal<?php echo e($employee->id); ?>" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel<?php echo e($employee->id); ?>" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header bg-primary text-white">
                                <h5 class="modal-title" id="viewModalLabel<?php echo e($employee->id); ?>">Employee Details</h5>
                                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body text-center">
                                <img src="<?php echo e(asset($employee->profile)); ?>" class="rounded-circle mb-3" style="width: 120px; height: 120px; border: 3px solid #007bff;">
                                <p><strong>Full Name:</strong> <?php echo e($employee->full_name); ?></p>
                                <p><strong>Phone:</strong> <?php echo e($employee->phone); ?></p>
                                <p><strong>Email:</strong> <?php echo e($employee->email); ?></p>

                                <!-- Additional Image Entries -->
                                <div class="row mt-3">
                                    <div class="col text-right">
                                        <p><strong>ID Image:</strong></p>
                                        <img src="<?php echo e(asset($employee->id_image)); ?>" class="rounded mb-2" style="width: 120px; height: 160px;">
                                    </div>
                                    <div class="col text-left">
                                        <p><strong>Form Image:</strong></p>
                                        <img src="<?php echo e(asset($employee->form_image)); ?>" class="rounded mb-2" style="width: 120px; height: 160px;">
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Update Modal -->
                <div class="modal fade" id="updateModal<?php echo e($employee->id); ?>" tabindex="-1" role="dialog" aria-labelledby="updateModalLabel<?php echo e($employee->id); ?>" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header bg-warning text-white">
                                <h5 class="modal-title" id="updateModalLabel<?php echo e($employee->id); ?>">Update Employee</h5>
                                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <!-- Update form -->
                                <form method="POST" action="<?php echo e(url('/update-employee/' . $employee->id)); ?>">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('PUT'); ?>
                                    <div class="form-group">
                                        <label for="fullName">Full Name</label>
                                        <input type="text" class="form-control" name="full_name" id="fullName" value="<?php echo e($employee->full_name); ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="phone">Phone</label>
                                        <input type="text" class="form-control" name="phone" id="phone" value="<?php echo e($employee->phone); ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="email">Email</label>
                                        <input type="email" class="form-control" name="email" id="email" value="<?php echo e($employee->email); ?>" required>
                                    </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-warning">Update</button>
                            </div>
                                </form>
                        </div>
                    </div>
                </div>

                <!-- Delete Modal -->
                <div class="modal fade" id="deleteModal<?php echo e($employee->id); ?>" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel<?php echo e($employee->id); ?>" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header bg-danger text-white">
                                <h5 class="modal-title" id="deleteModalLabel<?php echo e($employee->id); ?>">Confirm Deletion</h5>
                                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p>Are you sure you want to delete the employee <strong><?php echo e($employee->full_name); ?></strong>?</p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                <form action="<?php echo e(route('employees.destroy', $employee->id)); ?>" method="POST" style="display:inline;">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('DELETE'); ?>
                                    <button type="submit" class="btn btn-danger">Delete</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>

            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

    <style>
        .btn {
            margin-right: 5px;
        }
        .btn i {
            margin-right: 3px;
        }
        .actions-column {
            display: flex;
            gap: 5px;
            justify-content: center;
            align-items: center;
            min-width: 200px; /* Increased width to fit buttons */
        }
        .table {
            width: 100%;
            margin-top: 20px;
        }
        th {
            white-space: nowrap;
        }
        .actions-column-header {
            min-width: 150px; /* Adjusted column header size */
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script>
    // Hide success message after 3 seconds
    setTimeout(function() {
        $('#successMessage').fadeOut('slow');
    }, 3000); // 3000 milliseconds = 3 seconds
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('Huzaifa_dashboard.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eigixn5/public_html/standman/resources/views/Huzaifa_dashboard/employees.blade.php ENDPATH**/ ?>