<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Payment Settings</title>

    <!-- css-start -->
    <link rel="stylesheet" href="update_assets/css/bootstrap.min.css" />
    <link rel="stylesheet" href="update_assets/css/intlTelInput.css" />
    <link rel="stylesheet" href="update_assets/css/niceCountryInput.css" />
    <link rel="stylesheet" href="update_assets/css/style.css" />
    <link rel="stylesheet" href="update_assets/css/responsive.css" />
    <link href="<?php echo e(asset('css/iziToast.css')); ?>" rel="stylesheet">


    <!-- css-start-end -->


    <!-- jquery -->
    <script src="update_assets/js/jquery-3.6.0.min.js" defer></script>
    <!-- intlTelInput -->
    <script src="update_assets/js/intlTelInput.min.js" defer></script>
    <!-- niceCuntryInput -->
    <script src="update_assets/js/niceCountryInput.js" defer></script>
    <!-- bootstrap-js -->
    <script src="update_assets/js/bootstrap.bundle.min.js" defer></script>
    <!-- script-js -->
    <script src="update_assets/js/scripts.js" ></script>

    <script src="https://js.stripe.com/v3/"></script>
    <style>
        .input-wrapper {
            position: relative;
        }

        .card-icon {
            width: 32px;
            height: 20px;
            background-size: contain;
            background-repeat: no-repeat;
            right: 10px;
            top: 50%;
            transform: translateY(-50%);
            position: absolute;
            pointer-events: none;
        }

        .form-control {
            padding-right: 50px; /* Ensure there is space for the icon */
        }

        .form-control-lg {
            font-size: 1.5rem; /* Increased font size */
            height: calc(1.5em + 1.5rem + 2px); /* Increased height */
            padding: 0.75rem 1.5rem; /* Increased padding */
        }
        .flag-icon {
            top: 50%;
            transform: translateY(-50%);
        }
        .btn-custom {
            background-color: white; /* Background color */
            border: 2px solid #000000; /* Border color */
            color: #000000; /* Font color */
            padding: 0.5rem .75rem;
            font-size: 1.5rem;
            border-radius: 1.25rem; /* Adjust the border radius as needed */
            transition: all 0.3s ease;
            width: 100%; /* Make the button width 100% */
        }

        .btn-custom:hover {
            background-color: #f0f0f0; /* Optional: slightly darker background on hover */
            color: #000000; /* Font color on hover */
            border-color: #000000; /* Border color on hover */
        }
    </style>

</head>

<body>
<!-- root -->
<div class="root">
    <!-- content-wrapper -->
    <div class="content-wrapper pay-wrapper mx-auto">

        <!-- page-header -->
        <div class="page-header py-4">
            <div class="container">
                <div class="d-flex align-items-center justify-content-between pt-3">
                    <a href="<?php echo e(route('dashboard')); ?>" class="page-link-back fs-2">
              <span class="icon">
                <svg width="12" height="21" viewBox="0 0 12 21" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path
                      d="M11 20.8333C10.744 20.8333 10.488 20.736 10.2933 20.54L0.959992 11.2067C0.569326 10.816 0.569326 10.1826 0.959992 9.79198L10.2933 0.458649C10.684 0.0679827 11.3174 0.0679827 11.708 0.458649C12.0987 0.849316 12.0987 1.4827 11.708 1.87336L3.08141 10.5L11.708 19.1266C12.0987 19.5173 12.0987 20.1507 11.708 20.5413C11.512 20.736 11.256 20.8333 11 20.8333Z"
                      fill="#25314C" />
                </svg>

              </span>
                        Add Payment Methods
                    </a>


                </div>

            </div>
        </div>
        <!-- page-header--end -->

        <!-- pay-content -->
        <div class="py-5">
            <div class="container">
                <!-- payment-method -->
                <div class="payment-method">
                    <div class="pack-item">
                        <form class="payment-form" id="payment-form" action="gohere">

                            <?php echo csrf_field(); ?>
                            <!-- box bg-white -->
                            <div class="box p-4" style="background-color: #F8F9FC">












                                <!-- payment-section -->
                                <div class="payment-section">





                                    <div class="row">
                                        <div class="col-12">
                                            <div class="form-group mb-3">
                                                <label for="card-element" class="small">Credit/Debit card number*</label>
                                                <div class="input-wrapper d-flex align-items-center position-relative">
                                                    <div id="card-element" class="form-control form-control-lg"></div>
                                                    <span class="card-icon position-absolute end-0 me-2"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="form-group me-2">
                                                <label for="expiry" class="small">Expiry</label>
                                                <div id="card-expiry" class="form-control form-control-lg"></div>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="form-group ms-2">
                                                <label for="cvc" class="small">CVC</label>
                                                <div id="card-cvc" class="form-control form-control-lg"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- payment-section--end -->
                            </div>
                            <!-- box bg-white--end -->
                            <!-- box bg-white -->
                            <div class="box p-4 mt-3"  id="address-div" style="display: none;background-color: #F8F9FC">
                                <!-- payment-section -->
                                <div class="payment-section" >
                                    <div id="address-element">














                                    </div>
                                    <!-- payment-section--end -->
                                </div>
                                <!-- box bg-white--end -->
                            </div>
                            <div class="row">
                                <div class="col-12 mb-3 mt-3">
                                    <div class="form-check">
                                        <input type="checkbox" class="form-check-input" id="preferred-method" value="1" checked />
                                        <label class="form-check-label" for="preferred-method">Make preferred payment method</label>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <span id="card-errors" class="text-danger"></span>
                                </div>
                                <div class="col-12 text-center ">
                                    <button id="submit" type="submit" class="btn btn-main w-75 small mt-3">Add Payment Method</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- payment-method--end -->

            </div>

        </div>
        <!-- topup-content--end -->

    </div>
    <!-- content-wrapper--end -->
</div>
<form style="display: none" id="originalForm" method="post" action="<?php echo e(route('package_buy')); ?>">
    <?php echo csrf_field(); ?>
</form>
<!-- root--end -->
<script src="<?php echo e(asset('js/iziToast.js')); ?>"></script>
<?php echo $__env->make('vendor.lara-izitoast.toast', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <script>
        function convertObjectToHiddenInputs(obj, formId) {
            const form = document.getElementById(formId);

            // Iterate over the object properties
            for (const key in obj) {
                if (obj.hasOwnProperty(key)) {
                    // Create a hidden input element
                    const input = document.createElement('input');
                    input.type = 'hidden';
                    input.name = key;
                    input.value = obj[key];

                    // Append the input to the form
                    form.appendChild(input);
                }
            }
        }
        // Initialize Stripe
        let dq = null;
        <?php if(!empty($dq)): ?>
         dq = JSON.parse('<?php echo $dq; ?>');
        convertObjectToHiddenInputs(dq, 'originalForm');
        <?php endif; ?>
        var stripe = Stripe("<?php echo e(env('STRIPE_KEY')); ?>");
        var elements = stripe.elements();

        // Custom styling for Stripe Elements
        var style = {
            base: {
                fontSize: '18px',
                color: '#32325d',
                '::placeholder': {
                    color: '#aab7c4'
                }
            },
            invalid: {
                color: '#fa755a',
                iconColor: '#fa755a'
            }
        };

        // Create instances of the card Element and other Elements
        var card = elements.create('cardNumber', { style: style, showIcon: true });
        var cardExpiry = elements.create('cardExpiry', { style: style });
        var cardCvc = elements.create('cardCvc', { style: style });
        var address = elements.create('address', { mode: 'billing', style: style });

        // Add instances of the Elements into the respective divs
        card.mount('#card-element');
        cardExpiry.mount('#card-expiry');
        cardCvc.mount('#card-cvc');
        address.mount('#address-element');
        cardCvc.on('change', function(event) {
            document.getElementById('address-div').style.display = 'block';
        });

        // Handle real-time validation errors from the card Element
        card.on('change', function(event) {

            var displayError = document.getElementById('card-errors');
            if (event.error) {
                displayError.textContent = event.error.message;
            } else {
                displayError.textContent = '';
            }

            // Update card icon
            var cardIcon = document.querySelector('.card-icon');
            if (event.brand) {
                cardIcon.style.backgroundImage = 'url(path/to/' + event.brand + '.svg)';
            } else {
                cardIcon.style.backgroundImage = 'none';
            }
        });

        // Handle form submission with AJAX
        var paymentForm = document.getElementById('payment-form');
        paymentForm.addEventListener('submit', function(event) {
            event.preventDefault();

            var submitButton = document.getElementById('submit');
            submitButton.setAttribute('disabled', 'disabled');
            submitButton.textContent = 'Processing...';

            stripe.createToken(card).then(function(result) {
                if (result.error) {
                    // Inform the user if there was an error
                    var errorElement = document.getElementById('card-errors');
                    errorElement.textContent = result.error.message;
                    submitButton.removeAttribute('disabled');
                    submitButton.textContent = 'Pay Now';

                } else {
                    // Send the token to your server with AJAX
                    stripeTokenHandler(result.token);
                }
            });
        });

        function stripeTokenHandler(token) {
            // Find the input element within the iframe by its name attribute and get its valu
            var formData = {
                stripeToken: token.id,
                _token:$("input[name='_token']").val(),
                fullName:$("input[name=name]").val(),
                country:$("input[name=country]").val(),
                addressLine1:$("input[name=addressLine1]").val(),
                addressLine2:$("input[name=addressLine2]").val(),
                state:$("input[name=administrativeArea]").val(),
                postalCode:$("input[name=postalCode]").val(),
                preferredMethod: $('#preferred-method').is(':checked') ? 1:0
            };
            $.ajax({
                url: "<?php echo e(route('save_payment_setting')); ?>",
                method: 'POST',
                data: formData,
                success: function(response) {
                    // Handle success response
                    if(response.status == 'success'){
                        console.log('Payment method added successfully:', response);
                        show(response.status, {message:response.message,position:'topCenter'});
                        setTimeout(function () {
                            if(dq){
                                const form = document.getElementById('originalForm');
                                form.submit();
                            }else{
                                window.location= "<?php echo e(route('payment_setting')); ?>";
                            }

                        },500);
                    }else{
                        var submitButton = document.getElementById('submit');
                        submitButton.removeAttribute('disabled');
                        submitButton.textContent = 'Pay Now';
                        show(response.status, {message:response.message,position:'topCenter'});
                    }
                },
                error: function(error) {
                    var submitButton = document.getElementById('submit');
                    submitButton.removeAttribute('disabled');
                    submitButton.textContent = 'Pay Now';
                    // Handle error response
                    console.log('Error adding payment method:', error);
                    show(response.status, {message:response.message,position:'topCenter'})
                }
            });
        }
    </script>
</body>

</html>
<?php /**PATH /var/www/html/webview-app/resources/views/update/add_payment_setting.blade.php ENDPATH**/ ?>