<?php $__env->startSection('content'); ?>
    <style>
        .btn-light {
          padding-left: 10px;
        }
        .filter {
            margin-top: -15px;
            margin-bottom: 15px;
        }
    </style>
    
    <div class="content-body">
        <div class="container-fluid">
            <div class="page-titles mb-n5">
				<ol class="breadcrumb">
                    <?php $__env->startSection('titleBar'); ?>
                    <span class="ml-2 text-white">Manage Listings Products</span>
                    <?php $__env->stopSection(); ?>
				</ol>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="filter">
                        <a class="btn btn-sm <?php if ($filter == '') { echo 'btn-primary'; } else{ echo "btn-info"; } ?>" href="listings_products">All</a>
                        <a class="btn btn-sm <?php if ($filter == 'Active') { echo 'btn-primary'; } else{ echo "btn-info"; } ?>" href="listings_products?filter=Active">Active</a>
                        <a class="btn btn-sm <?php if ($filter == 'Inactive') { echo 'btn-primary'; } else{ echo "btn-info"; } ?>" href="listings_products?filter=Inactive">Inactive</a>
                    </div>
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="example" class="table dt-responsive nowrap display min-w850">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Owner Name</th>
                                            <th>Product</th>
                                            <th>Category</th>
                                            <th>Featured</th>
                                            <th>Price</th>
                                            <th>Status</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $listings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr class="odd gradeX">
                                            <td><?php echo e($key + 1); ?></td>
                                            <td><?php echo e($items->users_customers->first_name . ' ' . $items->users_customers->last_name); ?></td>
                                            <td><?php echo e($items->name); ?></td>
                                            <td>
                                                <img src="<?php echo e(asset($items->listings_categories->image)); ?>" width="35px" height="35px">
                                                <?php echo e($items->listings_categories->name); ?>

                                            </td>
                                            <td><?php echo e($items->featured); ?></td>
                                            <td><?php echo e($system_currency.$items->price); ?></td>
                                            <td>
                                                <?php if($items->status == 'Active'): ?>
                                                <span class="btn btn-sm light btn-primary">Active</span>
                                                <?php elseif($items->status == 'Inactive'): ?>
                                                <span class="btn btn-sm light btn-warning">Inactive</span>
                                                <?php else: ?> 
                                                <span class="btn btn-sm light btn-danger">Deleted</span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <button class="btn btn-sm btn-info" data-toggle="modal" data-target="#modal_view_detail<?php echo e($items->listings_products_id); ?>">
                                                    <i class="fa fa-eye"></i>
                                                </button>
                                               
                                                <?php if($items->status == 'Active'): ?>
                                                <a class="btn btn-sm btn-warning" href="<?php echo e(url('admin/listings_products_update/' . $items->listings_products_id . '/Inactive')); ?>"><i class="fa fa-times"></i></a>
                                                <?php elseif($items->status == 'Inactive'): ?>
                                                <a class="btn btn-sm btn-primary" href="<?php echo e(url('admin/listings_products_update/' . $items->listings_products_id . '/Active')); ?>"><i class="fa fa-check"></i></a>
                                                <?php endif; ?>
                                            </td>
                                            <!-- modal view detail -->
                                            <div class="modal fade" id="modal_view_detail<?php echo e($items->listings_products_id); ?>">
                                                <div class="modal-dialog modal-xl modal-dialog-centered" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h3 class="modal-title">Product Detail</h3>
                                                            <button type="button" class="close" data-dismiss="modal"><span>&times;</span></button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="basic-form">
                                                                <div class="row"> 
                                                                    <div class="col-sm">
                                                                        <b>Owner Name:</b><br>
                                                                        <?php echo e($items->users_customers->first_name . ' ' . $items->users_customers->last_name); ?>

                                                                    </div>
                                                                    <div class="col-sm">
                                                                        <b>Category:</b><br><?php echo e($items->listings_categories->name); ?>

                                                                    </div>
                                                                    <div class="col-sm">
                                                                        <b>Product:</b><br><?php echo e($items->name); ?>

                                                                    </div>
                                                                    <div class="col-sm">
                                                                        <b>Featured:</b><br><?php echo e($items->featured); ?>

                                                                    </div>
                                                                    <div class="col-sm">
                                                                        <b>Condition:</b><br><?php echo e($items->condition); ?>

                                                                    </div>
                                                                </div>

                                                                <div class="row">
                                                                    <div class="col-sm">
                                                                        <br><b>Description:</b><br><?php echo e($items->description); ?>

                                                                    </div>
                                                                    <div class="col-sm">
                                                                        <br><b>Price:</b><br><?php echo e($system_currency.$items->price); ?>

                                                                    </div>
                                                                    <div class="col-sm">
                                                                        <br><b>Min Offer Price:</b><br><?php echo e($system_currency.$items->min_offer_price); ?>

                                                                    </div>
                                                                    <div class="col-sm">
                                                                        <br><b>Status:</b><br><?php echo e($items->status); ?>

                                                                    </div>
                                                                    <div class="col-sm">
                                                                        <br><b>Date Added:</b><br>
                                                                        <?php $date_added = \Carbon\Carbon::parse($items->date_added)->format('d/m/y h:m a'); ?>
                                                                        <?php echo e($date_added); ?>

                                                                    </div>
                                                                </div>
                                                            
                                                                <div class="row">
                                                                    <?php $__currentLoopData = $items->listings_images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <div class="col-sm">
                                                                        <br><b>Image-<?php echo e($key + 1); ?>:</b><br><br>
                                                                        <img src="<?php echo e(asset($image->image )); ?>" class="rounded" width="150px" height="170px">
                                                                    </div>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- modal view detail -->
                                        </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
          	</div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout.admin.list_master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eigixn5/public_html/uzaar/resources/views/admin/listings_products.blade.php ENDPATH**/ ?>