<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Revenue Recognition - Admin Panel</title>
    <!-- Bootstrap CSS -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css">
    <style>
        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f8f9fa;
            margin: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background: #f8f9fa;
        }
        .dropdown-container {
            background-color: #fff;
            padding: 40px;
            border-radius: 10px;
            box-shadow: 0 4px 10px rgba(0,0,0,0.1);
            width: 100%;
            max-width: 400px;
            text-align: center;
        }
        .dropdown-container h1 {
            margin-bottom: 30px;
            font-size: 28px;
            color: #343a40;
        }
        .form-group {
            margin-bottom: 20px;
        }
        .form-control {
            border-radius: 30px;
            padding: 10px 20px;
            font-size: 16px;
            cursor: pointer;
        }
        .btn-primary {
            border-radius: 30px;
            font-size: 16px;
            padding: 10px 20px;
            width: 100%;
            transition: background-color 0.3s;
        }
        .btn-primary:hover {
            background-color: #0056b3;
        }
        label {
            display: block;
            font-size: 16px;
            font-weight: 600;
            color: #343a40;
            margin-bottom: 10px;
        }
    </style>
    <script>
        // JavaScript function to route based on the selection
        function handleRecognitionChange(select) {
            if (select.value === "relateable") {
                window.location.href = '/relateable';
            } else if (select.value === "point-intime") {
                window.location.href = '/point-intime';
            }
        }
    </script>
</head>
<body>

    <div class="dropdown-container">
        <h1>Revenue Recognition</h1>

        <!-- Revenue Recognition Rule Dropdown with routing -->
        <div class="form-group">
            <label for="recognition-rule">Revenue Recognition Rule</label>
            <select class="form-control" id="recognition-rule" onchange="handleRecognitionChange(this)">
                <option value="" disabled selected>Select a rule</option>
                <option value="relateable">Relateable</option>
                <option value="point-intime">Point in Time</option>
            </select>
        </div>

        <!-- Revenue Plan Type Dropdown -->
        <div class="form-group">
            <label for="plan-type">Revenue Plan Type</label>
            <select class="form-control" id="plan-type" name="plan_type">
                <option>Daily Plan</option>
                <option>Fixed Plan</option>
            </select>
        </div>
    </div>

    <!-- Bootstrap JS and dependencies -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.0.7/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
<?php /**PATH /home/eigixn5/public_html/standman/resources/views/Revcal/revcal-rules.blade.php ENDPATH**/ ?>