<!DOCTYPE html>
<html lang="en" class="h-100">
    <head>
        <?php 
            $system_image = DB::table('system_settings')->select('description')->where('type', 'system_image')->first(); 
            $system_name = DB::table('system_settings')->select('description')->where('type', 'system_name')->first(); 
        ?>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width,initial-scale=1">
        <title><?php echo e($system_name->description); ?> :: Admin Portal</title>

        <link href="<?php echo e(asset($system_image->description)); ?>" rel="icon" type="image" sizes="24x24">
        <link href="<?php echo e(asset('css/style.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('scss/main.css')); ?>" rel="stylesheet">
        <style>
            body {
                background-image: linear-gradient(to bottom, #450E8B, #EC8C34);
                background-repeat: no-repeat;
                background-attachment: fixed;
            }
            .btn-primary{
                color: #fff;
                background-color: #450E8B;
                border-color: #450E8B;
            }
        </style>
    </head>
    <body class="h-100">
        <div class="authincation h-100">
            <div class="container h-100">
                <div class="row justify-content-center h-100 align-items-center">
                    <div class="col-md-6">
                        <div class="authincation-content">
                            <div class="row no-gutters">
                                <div class="col-xl-12">
                                    <div class="auth-form">
                                        <div class="text-center">
                                            <img class="mb-4 mx-auto" src="<?php echo e(asset($system_image->description)); ?>" width="100px" height="150px" alt="image">
                                        </div>
                                        <h4 class="text-center mb-4" style="color:#450E8B">Welcome to The Admin Panel</h4>
                                        <form action="<?php echo e(url('/admin_login')); ?>" method="POST">
                                           <?php echo csrf_field(); ?>
                                            <div class="form-group">
                                                <label class="mb-1"><strong>Email</strong></label>
                                                <input type="email" class="form-control" id="email" name="email" placeholder="Enter email" required>
                                            </div>
                                            <div class="form-group">
                                                <label class="mb-1"><strong>Password</strong></label>
                                                <input type="password" class="form-control" id="password" name="password" placeholder="Enter Password" required>
                                            </div>
                                            <div class="text-center">
                                                <button type="submit" class="btn btn-primary btn-block">Login</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- SCRIPTS -->
        <script src="<?php echo e(asset('vendor/global/global.min.js')); ?>"></script>
    	<script src="<?php echo e(asset('vendor/bootstrap-select/dist/js/bootstrap-select.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/custom.min.js')); ?>"></script>
        <script src="<?php echo e(asset('js/deznav-init.js')); ?>"></script>
        <!-- SCRIPTS -->

        <!-- TOASTERS -->
        <link href="<?php echo e(asset('toasters/toastr.min.css')); ?>" type="text/css" rel="stylesheet" />   
        <script src="<?php echo e(asset('toasters/toastr.min.js')); ?>" type="text/javascript"></script>
        <script>
            toastr.options = {
                "closeButton": true,
                "debug": false,
                "positionClass": "toast-top-right",
                "onclick": null,
                "showDuration": "1000",
                "hideDuration": "1000",
                "timeOut": "5000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            }
            
            <?php if(Session::has('success')){ ?> Command: toastr['success']("<?php echo Session('success'); ?>"); <?php } ?>
            <?php if(Session::has('error')){ ?> Command: toastr['error']("<?php echo Session('error'); ?>"); <?php } ?>
            <?php if(Session::has('warning')){ ?> Command: toastr['warning']("<?php echo Session('warning'); ?>"); <?php } ?>
            <?php if(Session::has('info')){ ?> Command: toastr['info']("<?php echo Session('info'); ?>"); <?php } ?>
        </script>
        <!-- TOASTERS -->
		</script>
    </body>
</html><?php /**PATH /home/eigixn5/public_html/uzaar/resources/views/admin/login.blade.php ENDPATH**/ ?>