<?php $__env->startSection('content'); ?>
    <h2>Started Jobs</h2>
    <table class="table table-bordered">
        <thead>
            <tr>
                <th>ID</th>
                <th>Image</th>
                <th>Name</th>
                <th>Job Date</th>
                <th>Start Time</th>
                <th>End Time</th>
                <th>Status</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $startedJobs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $job): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($job->id); ?></td>
                    <td>
                        <img src="<?php echo e(asset($job->image)); ?>" alt="Job Image" class="circular-image">
                    </td>
                    <td><?php echo e($job->name); ?></td>
                    <td><?php echo e($job->job_date); ?></td>
                    <td><?php echo e($job->start_time); ?></td>
                    <td><?php echo e($job->end_time); ?></td>
                    <td>
                        <span class="<?php echo e($job->status === 'On Going' ? 'status-ongoing' : ''); ?>">
                            <?php echo e($job->status); ?>

                        </span>
                    </td>
                    <td class="actions-column">
                        <!-- View Button (Primary) -->
                        <button class="btn btn-primary btn-sm" data-toggle="modal" data-target="#viewModal<?php echo e($job->id); ?>">
                            <i class="fas fa-eye"></i> View
                        </button>
                        
                        <!-- Update Button (Warning) -->
                        <button class="btn btn-warning btn-sm" data-toggle="modal" data-target="#updateModal<?php echo e($job->id); ?>">
                            <i class="fas fa-edit"></i> Edit
                        </button>
                        
                        <!-- Delete Button (Danger) -->
                        <button class="btn btn-danger btn-sm" data-toggle="modal" data-target="#deleteModal<?php echo e($job->id); ?>">
                            <i class="fas fa-trash-alt"></i> Delete
                        </button>
                    </td>
                </tr>

                <!-- View Modal -->
                <div class="modal fade" id="viewModal<?php echo e($job->id); ?>" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel<?php echo e($job->id); ?>" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header bg-primary text-white">
                                <h5 class="modal-title" id="viewModalLabel<?php echo e($job->id); ?>">Job Details</h5>
                                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body text-center">
                                <img src="<?php echo e(asset($job->image)); ?>" alt="Job Image" class="circular-image mb-3" style="width: 120px; height: 120px; border: 3px solid #007bff;">
                                <p><strong>Name:</strong> <?php echo e($job->name); ?></p>
                                <p><strong>Job Date:</strong> <?php echo e($job->job_date); ?></p>
                                <p><strong>Start Time:</strong> <?php echo e($job->start_time); ?></p>
                                <p><strong>End Time:</strong> <?php echo e($job->end_time); ?></p>
                                <p><strong>Special Instructions:</strong> <?php echo e($job->special_instructions); ?></p>
                                <p><strong>Location:</strong> <?php echo e($job->location); ?></p>
                                <p><strong>Amount:</strong> <?php echo e($job->amount . "$"); ?></p>
                                <p><strong>Service Charges:</strong> <?php echo e($job->service_charges . "$"); ?></p>
                                <p><strong>Tax:</strong> <?php echo e($job->tax . "$"); ?></p>
                                <p><strong>Total Price:</strong> <?php echo e($job->total_price . "$"); ?></p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Update Modal -->
                <div class="modal fade" id="updateModal<?php echo e($job->id); ?>" tabindex="-1" role="dialog" aria-labelledby="updateModalLabel<?php echo e($job->id); ?>" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header bg-warning text-white">
                                <h5 class="modal-title" id="updateModalLabel<?php echo e($job->id); ?>">Update Job</h5>
                                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form method="POST" action="<?php echo e(url('/update-job/' . $job->id)); ?>">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('PUT'); ?>
                                    <div class="form-group">
                                        <label for="jobName">Name</label>
                                        <input type="text" class="form-control" name="name" id="jobName" value="<?php echo e($job->name); ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="jobDate">Job Date</label>
                                        <input type="date" class="form-control" name="job_date" id="jobDate" value="<?php echo e($job->job_date); ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="startTime">Start Time</label>
                                        <input type="time" class="form-control" name="start_time" id="startTime" value="<?php echo e($job->start_time); ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="endTime">End Time</label>
                                        <input type="time" class="form-control" name="end_time" id="endTime" value="<?php echo e($job->end_time); ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="specialInstructions">Special Instructions</label>
                                        <input type="text" class="form-control" name="special_instructions" id="specialInstructions" value="<?php echo e($job->special_instructions); ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="location">Location</label>
                                        <input type="text" class="form-control" name="location" id="location" value="<?php echo e($job->location); ?>" required>
                                    </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-warning">Update</button>
                            </div>
                                </form>
                        </div>
                    </div>
                </div>

                <!-- Delete Modal -->
                <div class="modal fade" id="deleteModal<?php echo e($job->id); ?>" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel<?php echo e($job->id); ?>" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered" role="document">
                        <div class="modal-content">
                            <div class="modal-header bg-danger text-white">
                                <h5 class="modal-title" id="deleteModalLabel<?php echo e($job->id); ?>">Confirm Deletion</h5>
                                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <p>Are you sure you want to delete the job <strong><?php echo e($job->name); ?></strong>?</p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                                <form action="<?php echo e(url('/jobs/' . $job->id)); ?>" method="POST" style="display:inline;">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('DELETE'); ?>
                                    <button type="submit" class="btn btn-danger">Delete</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
<?php $__env->stopSection(); ?>

<style>
    .table {
        margin-top: 20px;
        border-collapse: collapse;
        width: 100%;
    }

    .table th, .table td {
        padding: 10px;
        text-align: center;
    }

    .table th {
        background-color: #f2f2f2;
    }

    .actions-column {
        display: flex;
        gap: 0; /* No extra space between buttons */
        justify-content: space-around; /* Spread buttons evenly */
    }

    .btn {
        margin: 0; /* Reset button margin */
    }

    .circular-image {
        border-radius: 50%;
        width: 60px;
        height: 60px;
    }

    .modal-content {
        text-align: left;
    }

    .status-ongoing {
        color: #007bff; /* Light blue for "On Going" status */
        font-weight: bold;
    }
</style>

<?php echo $__env->make('Huzaifa_dashboard.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eigixn5/public_html/standman/resources/views/Huzaifa_dashboard/started_jobs.blade.php ENDPATH**/ ?>